
QGIS Application - Bug report #6918

qgis:dissolve - "dissolve all" does not dissolve attributes

2012-12-24 06:42 AM - Pedro Venâncio

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16037

Description

New description:

the qgis:dissolve tool ("dissolve all" option) does not dissolve the attributes, just the geometries.

The original tool in the vector menu is ok

Old description:

Hi,

'Dissolve all' option is not taking effect. The result of the following commands is exactly the same.

sextante.runalg("qgis:dissolve","/home/pedro/Comunicacoes/Encontro_SMPC/Dados_Geograficos/Cont_AAd_CAOP20121/Cont_AAd

CAOP20121_dlxhgmil_3_Pinhel.shp",False,True,"Freguesia",None)

sextante.runalg("qgis:dissolve","/home/pedro/Comunicacoes/Encontro_SMPC/Dados_Geograficos/Cont_AAd_CAOP20121/Cont_AAd

CAOP20121_dlxhgmil_3_Pinhel.shp",False,False,"Freguesia",None)

I'm using QGIS master (today's Github) on Linux.

History

#1 - 2012-12-24 07:45 AM - Giovanni Manghi

this used to work, isn't it?

#2 - 2012-12-24 09:02 AM - Pedro Venâncio

Hi Giovanni,

Yes, at this time I can not tell what the last 'version' that worked, but definitely it used to work.

#3 - 2012-12-24 09:14 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

#4 - 2012-12-27 03:38 PM - Victor Olaya

- Status changed from Open to Resolved
Fixed. The problem was that it was using the value of the other true/false field for the "use all" field. And, checking in github, the history of that file in

SEXTANTE says it has been like that since the very first day...so I guess it never worked right :-)

You will see that now there is no "use selected" option. I am removing them and adding them as a global option, so algorithms are more compact and can

be written with less code. This algorithm is adapted already, but I still have to work on the other fTools ones.

#5 - 2012-12-27 03:57 PM - Pedro Venâncio

Hi Victor,

Funny, I almost swore that had seen him working properly! :)

Thank you very much!

#6 - 2012-12-29 07:44 AM - Pedro Venâncio

- Status changed from Resolved to Closed

#7 - 2013-04-20 03:30 AM - Anita Graser

- Status changed from Closed to Reopened

I'm testing with current nighly and "dissolve all" yes does not dissolve all features.

Also, it makes no sense that I have to specify a "Unique ID field" if I want to dissolve all. (In model builder GUI)

#8 - 2013-04-20 03:35 AM - Anita Graser

It's really odd, because if I run Dissolve directly in the toolbox and select "dissolve all" NO, then it does dissolve all ...

#9 - 2013-04-28 01:43 PM - Pedro Venâncio

- File dissolve_all.jpg added

Hi,

Anita Graser wrote:

It's really odd, because if I run Dissolve directly in the toolbox and select "dissolve all" NO, then it does dissolve all ...

I can not confirm this. With dissolve all set to NO, it works ok. But with dissolve all set to YES, the geometries appears dissolved, but the attribute table has

the same number of registers than the original layer minus 1, and the attributes of the first register appears repeated n-1 times. See the image attached.

Another issue is to dissolve big datasets. In case, I tried with a shapefile with 8612 records, and after 2 hours, there is no result.

#10 - 2013-04-29 06:07 AM - Giovanni Manghi

Another issue is to dissolve big datasets. In case, I tried with a shapefile with 8612 records, and after 2 hours, there is no result.
this is known issue, the qgis dissolve is very bad and until its code will be revised it basically necessary to use GRASS or SAGA... and with sextante is

easy :)

#11 - 2013-08-28 05:45 AM - Giovanni Manghi

- Status changed from Reopened to Closed

Anita Graser wrote:

It's really odd, because if I run Dissolve directly in the toolbox and select "dissolve all" NO, then it does dissolve all ...

I also cannot confirm this, tested with different datasets on both Linux and Windows. Please reopen if necessary.

#12 - 2013-08-28 06:33 AM - Salvatore Larosa

Giovanni Manghi wrote:

I also cannot confirm this, tested with different datasets on both Linux and Windows. Please reopen if necessary.

do rows in attributes table are dissolved too ?

#13 - 2013-08-28 06:56 AM - Giovanni Manghi

- Subject changed from qgis:dissolve - Dissolve all not working to qgis:dissolve - "dissolve all" does not dissolve attributes

- Status changed from Closed to Reopened

- Priority changed from Severe/Regression to High

do rows in attributes table are dissolved too ?

no :(

#14 - 2013-10-15 08:44 AM - Filipe Dias

Still true?

#15 - 2013-10-15 08:48 AM - Giovanni Manghi

Filipe Dias wrote:

Still true?

yes
#16 - 2013-10-15 09:46 AM - Pedro Venâncio

- File dissolve_all_2.png added

Yes Filipe.

#17 - 2014-10-04 11:48 AM - Giovanni Manghi

- Affected QGIS version set to 2.4.0

- Project changed from 78 to QGIS Application

- Category deleted (61)

- Crashes QGIS or corrupts data set to No

#18 - 2014-10-04 11:49 AM - Giovanni Manghi

- Category set to Processing/QGIS

#19 - 2015-09-30 02:46 PM - Pedro Venâncio

- Status changed from Reopened to Closed

I think this was fixed in this commit: 

https://github.com/qgis/QGIS/blob/116089e6ec0bd9bfd15395206bd6e880561da859/python/plugins/processing/algs/qgis/Dissolve.py

Reopen if necessary.

Files

dissolve_all.jpg 202 KB 2013-04-28 Pedro Venâncio

dissolve_all_2.png 82.2 KB 2013-10-15 Pedro Venâncio

2025-04-27 4/4

https://github.com/qgis/QGIS/blob/116089e6ec0bd9bfd15395206bd6e880561da859/python/plugins/processing/algs/qgis/Dissolve.py

